=== debian/changelog ===
pbbam (0.19.0+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Steve Langasek ]
  * Fix autopkgtest on different architectures

  [ Andreas Tille ]
  * Cleanup d/rules
  * No "Provides: libpbbam" due to ABI incompatibility

 -- Andreas Tille <tille@debian.org>  Wed, 06 Feb 2019 09:16:06 +0100

pbbam (0.19.0+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Steve Langasek ]
  * Fix build dir name for tests
    Closes: #909071

 -- Andreas Tille <tille@debian.org>  Mon, 04 Feb 2019 11:50:20 +0100

pbbam (0.19.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Steve Langasek ]
  * Provide generated files to autopkgtest
    Closes: #921122

  [ Andreas Tille ]
  * debhelper 12
  * Standards-Version: 4.3.0
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Sun, 03 Feb 2019 08:00:29 +0100

pbbam (0.19.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fix samtools call in tests
  * d/control: Bump (fake) SOVERSION (=release version)

 -- Andreas Tille <tille@debian.org>  Wed, 10 Oct 2018 12:45:02 +0200

pbbam (0.18.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Missing Breaks+Replaces: libpbbam (<< 0.18)
    Closes: #910206
  * No needs-recommends restrictions, just Test-Depends: samtools

 -- Andreas Tille <tille@debian.org>  Wed, 03 Oct 2018 22:24:56 +0200

pbbam (0.18.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Upstream is now tagging releases -> adapt watch file
  * Upstream switched from cmake to meson
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Use d-shlibs
  * Remove unneeded trigger
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test
  * hardening=+all
  * Add Breaks/Provides/Replaces libpbbam

  [ Fabian Kloetzl ]
  * fix dependency check for meson

 -- Andreas Tille <tille@debian.org>  Thu, 06 Sep 2018 14:29:53 +0200
