=== debian/control ===
Source: pbbam
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-exec,
               d-shlibs,
               meson,
               pkg-config,
               python,
# swig3.0,
               libboost-dev (>= 1.54),
               zlib1g-dev,
               libssl-dev,
               libhts-dev,
# Test-Depends:
               libgtest-dev,
               python-cram,
               samtools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/pbbam
Vcs-Git: https://salsa.debian.org/med-team/pbbam.git
Homepage: http://pbbam.readthedocs.org/en/latest/index.html

Package: pbbamtools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpbbam0.19.0 (= ${binary:Version})
Recommends: samtools
Description: processing Pacific Biosciences binary alignment/map files
 The BAM format is a binary, compressed, record-oriented container format
 for raw or aligned sequence reads. The associated SAM format is a text
 representation of the same data. The specifications for BAM/SAM are maintained
 by the SAM/BAM Format Specification Working Group.
 .
 PacBio-produced BAM files are fully compatible with the BAM specification,
 but makes use of the extensibility mechanisms of the BAM specification to
 encode PacBio-specific information.
 .
 This package provides command-line utilities for working with PacBio BAM
 files.

Package: libpbbam0.19.0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libpbbam (<< ${source:Version})
Replaces: libpbbam
Description: Pacific Biosciences binary alignment/map (BAM) library
 The BAM format is a binary, compressed, record-oriented container format
 for raw or aligned sequence reads. The associated SAM format is a text
 representation of the same data. The specifications for BAM/SAM are maintained
 by the SAM/BAM Format Specification Working Group.
 .
 PacBio-produced BAM files are fully compatible with the BAM specification,
 but makes use of the extensibility mechanisms of the BAM specification to
 encode PacBio-specific information. The pbbam library provides tools to
 work with these files

Package: libpbbam-dev
Architecture: any
Section: libdevel
Depends: libpbbam0.19.0 (= ${binary:Version}),
         libhts-dev,
         libssl-dev,
         ${misc:Depends}
Breaks: libpbbam (<< 0.18)
Replaces: libpbbam (<< 0.18)
Description: Pacific Biosciences binary alignment/map (BAM) library (headers)
 The BAM format is a binary, compressed, record-oriented container format
 for raw or aligned sequence reads. The associated SAM format is a text
 representation of the same data. The specifications for BAM/SAM are maintained
 by the SAM/BAM Format Specification Working Group.
 .
 PacBio-produced BAM files are fully compatible with the BAM specification,
 but makes use of the extensibility mechanisms of the BAM specification to
 encode PacBio-specific information. The pbbam library provides tools to
 work with these files
 .
 This package contains the library header files.
