## pbbam 1.0.6%2Bdfsg

=== debian/changelog ===
pbbam (1.0.6+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:35 +0100

pbbam (1.0.6+dfsg-2) unstable; urgency=medium

  * Reupload to enable testing migration

 -- Andreas Tille <tille@debian.org>  Sat, 21 Dec 2019 13:30:52 +0100

pbbam (1.0.6+dfsg-1) unstable; urgency=medium

  * Drop <!nocheck> option from python3-cram
    Closes: #934467
  * New upstream version
  * Standards-Version: 4.4.1
  * Remove patch debug_tests.patch that is missing from
    debian/patches/series.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.
  * Build-Depends: cmake, libpbcopper-dev (>= 1.3.0)
  * Adapt test results to latest samtools
  * d-shlibs override for libpbcopper1.3.0-dev
  * Unfortunately upstream does not distinguish between release version
    and SOVERSION - just follow their versioning anyway and rename
    dynamic library package

 -- Andreas Tille <tille@debian.org>  Fri, 20 Dec 2019 11:27:03 +0100

pbbam (0.23.0+dfsg-1) unstable; urgency=medium

  * Afif removed himself from Uploaders
  * Add myself to Uploaders
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Contact, Name.
  * Rename library to libpbbam0.23.0 due to upstream choice of ABI version
  * Remove code copy of python-cram from upstream source
  * Build-Depends: python3-cram
  * d/control: Use <!nocheck> instead of comment

 -- Andreas Tille <tille@debian.org>  Sun, 04 Aug 2019 21:16:32 +0200

pbbam (0.19.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply autopkgtest regression fix from Steve Langasek.
    (Closes: #908269)
  * libpbbam0.19.0: Remove the incorrect Provides: libpbbam.

 -- Adrian Bunk <bunk@debian.org>  Wed, 06 Feb 2019 08:53:24 +0200
