## pbbam 1.0.6+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: pbbam
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                d-shlibs,
                meson,
                pkg-config,
-               python,
+               cmake,
 # swig3.0,
-               libboost-dev (>= 1.54),
+               libboost-dev,
                zlib1g-dev,
                libssl-dev,
                libhts-dev,
-# Test-Depends:
-               libgtest-dev,
-               python-cram,
-               samtools
-Standards-Version: 4.3.0
+               libpbcopper-dev (>= 1.3.0),
+               python3-cram,
+               libgtest-dev <!nocheck>,
+               samtools <!nocheck>
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/pbbam
 Vcs-Git: https://salsa.debian.org/med-team/pbbam.git
 Homepage: http://pbbam.readthedocs.org/en/latest/index.html
@@ -27,7 +27,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpbbam0.19.0 (= ${binary:Version})
+         libpbbam1.0.6 (= ${binary:Version})
 Recommends: samtools
 Description: processing Pacific Biosciences binary alignment/map files
  The BAM format is a binary, compressed, record-oriented container format
@@ -42,7 +42,7 @@
  This package provides command-line utilities for working with PacBio BAM
  files.
 
-Package: libpbbam0.19.0
+Package: libpbbam1.0.6
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -65,7 +65,7 @@
 Package: libpbbam-dev
 Architecture: any
 Section: libdevel
-Depends: libpbbam0.19.0 (= ${binary:Version}),
+Depends: libpbbam1.0.6 (= ${binary:Version}),
          libhts-dev,
          libssl-dev,
          ${misc:Depends}
