=== debian/rules ===
--- 
+++ 
@@ -16,14 +16,14 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_configure -O--buildsystem=meson
 	mkdir -p $(generated_data_dir)
-	python tests/scripts/generate_data.py $(CURDIR)/tests/data $(generated_data_dir)
+	python3 tests/scripts/generate_data.py $(CURDIR)/tests/data $(generated_data_dir)
 	# Fix broken PATH
 	synthetic_movie_all_path=`find $$PWD -name synthetic_movie_all.subreadset.xml` ; \
 	sed -i -e "s?.GENERATEDDATADIR/synthetic_movie_all.subreadset.xml?$${synthetic_movie_all_path}?" tests/src/cram/pbbamify*
 	BINDIR=`dirname $$(find $$PWD -name pbmerge -type f -executable)`; \
 	LIBDIR=`find $$PWD -name lib -type d`; \
 	PATH="$$BINDIR:$(PATH)" LD_LIBRARY_PATH="$$LIBDIR:$(LD_LIBRARY_PATH)" \
-	cram -v --preserve-env $^
+	cram3 -v --preserve-env $^
 endif
 
 override_dh_installchangelogs:
@@ -56,6 +56,7 @@
 		    --exclude-la \
 		    --exclude-a \
 		    --override s/libhts2-dev/libhts-dev/ \
+		    --override s/libpbcopper1.3.0-dev/libpbcopper-dev/ \
 		    --movedev debian/tmp/usr/include/* usr/include \
 		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 		    debian/tmp/usr/lib/*/*.so
