## pbbam 1.0.7+dfsg

=== debian/changelog ===
pbbam (1.0.7+dfsg-0ubuntu1) groovy; urgency=medium

  * New upstream version.
  * Fix d-shlibs invocation in d/rules.
  * Update binary package name.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 27 May 2020 13:31:24 +1200
