=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pbbam
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
@@ -27,7 +28,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpbbam1.0.6 (= ${binary:Version})
+         libpbbam1.0.7 (= ${binary:Version})
 Recommends: samtools
 Description: processing Pacific Biosciences binary alignment/map files
  The BAM format is a binary, compressed, record-oriented container format
@@ -42,7 +43,7 @@
  This package provides command-line utilities for working with PacBio BAM
  files.
 
-Package: libpbbam1.0.6
+Package: libpbbam1.0.7
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -65,7 +66,7 @@
 Package: libpbbam-dev
 Architecture: any
 Section: libdevel
-Depends: libpbbam1.0.6 (= ${binary:Version}),
+Depends: libpbbam1.0.7 (= ${binary:Version}),
          libhts-dev,
          libssl-dev,
          ${misc:Depends}
