=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 		    --exclude-la \
 		    --exclude-a \
 		    --override s/libhts2-dev/libhts-dev/ \
-		    --override s/libpbcopper1.3.0-dev/libpbcopper-dev/ \
+		    --override s/libpbcopper1.6.0-dev/libpbcopper-dev/ \
 		    --movedev debian/tmp/usr/include/* usr/include \
 		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 		    debian/tmp/usr/lib/*/*.so
