## pbbam 1.6.0+dfsg

=== debian/changelog ===
pbbam (1.6.0+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Sun, 15 Nov 2020 06:31:21 +0100

pbbam (1.6.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #973160
  * Bump versioned Build-Depends: libpbcopper-dev (>= 1.8.0)

  [ Étienne Mollier ]
  * Add boost_optional.patch to address boost::optional error.

 -- Andreas Tille <tille@debian.org>  Thu, 12 Nov 2020 16:36:05 +0100

pbbam (1.3.0+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Fri, 11 Sep 2020 12:55:04 +0200

pbbam (1.3.0+dfsg-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version (+ bump soname)
    Closes: #959643
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Fix d-shlibs override
  * Silence dh_missing by removing unneeded *.la file
  * New ABI version -> changed binary package name to libpbbam1.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 01 Sep 2020 15:37:58 +0200
