=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pbbam
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                d-shlibs,
                meson,
@@ -15,20 +14,21 @@
                zlib1g-dev,
                libssl-dev,
                libhts-dev,
-               libpbcopper-dev (>= 1.3.0),
+               libpbcopper-dev (>= 1.8.0),
                python3-cram,
                libgtest-dev <!nocheck>,
                samtools <!nocheck>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/pbbam
 Vcs-Git: https://salsa.debian.org/med-team/pbbam.git
 Homepage: http://pbbam.readthedocs.org/en/latest/index.html
+Rules-Requires-Root: no
 
 Package: pbbamtools
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpbbam1.0.7 (= ${binary:Version})
+         libpbbam1.6.0 (= ${binary:Version})
 Recommends: samtools
 Description: processing Pacific Biosciences binary alignment/map files
  The BAM format is a binary, compressed, record-oriented container format
@@ -43,7 +43,7 @@
  This package provides command-line utilities for working with PacBio BAM
  files.
 
-Package: libpbbam1.0.7
+Package: libpbbam1.6.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -66,7 +66,7 @@
 Package: libpbbam-dev
 Architecture: any
 Section: libdevel
-Depends: libpbbam1.0.7 (= ${binary:Version}),
+Depends: libpbbam1.6.0 (= ${binary:Version}),
          libhts-dev,
          libssl-dev,
          ${misc:Depends}
