## pbbam 2.0.0+dfsg

=== meson_options.txt ===
--- 
+++ 
@@ -1,8 +1,3 @@
-option('build-tools',
-    type : 'boolean',
-    value : true,
-    description : 'Build PacBioBAM command line utilities (e.g. pbindex)')
-
 option('build-docs',
     type : 'boolean',
     value : false,
