=== debian/changelog ===
pbbam (2.0.0+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Mon, 14 Mar 2022 20:25:09 +0100

pbbam (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #1006776
  * Bump SONAME to 2.0.0

 -- Andreas Tille <tille@debian.org>  Mon, 07 Mar 2022 15:26:06 +0100

pbbam (1.7.0+dfsg-2) unstable; urgency=medium

  * d/watch: Add filemangle

 -- Andreas Tille <tille@debian.org>  Sun, 13 Feb 2022 10:03:13 +0100

pbbam (1.7.0+dfsg-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Use secure URI in Homepage field.
  * Apply multi-arch hints.
    + libpbbam-dev: Add Multi-Arch: same.
  * Upstream has bumped SONAME, following this

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 10:17:08 +0200
