=== debian/control ===
--- 
+++ 
@@ -18,17 +18,17 @@
                python3-cram,
                libgtest-dev <!nocheck>,
                samtools <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/pbbam
 Vcs-Git: https://salsa.debian.org/med-team/pbbam.git
-Homepage: http://pbbam.readthedocs.org/en/latest/index.html
+Homepage: https://pbbam.readthedocs.org/en/latest/index.html
 Rules-Requires-Root: no
 
 Package: pbbamtools
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpbbam1.6.0 (= ${binary:Version})
+         libpbbam2.0.0 (= ${binary:Version})
 Recommends: samtools
 Description: processing Pacific Biosciences binary alignment/map files
  The BAM format is a binary, compressed, record-oriented container format
@@ -43,7 +43,7 @@
  This package provides command-line utilities for working with PacBio BAM
  files.
 
-Package: libpbbam1.6.0
+Package: libpbbam2.0.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -51,7 +51,6 @@
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Breaks: libpbbam (<< ${source:Version})
-Replaces: libpbbam
 Description: Pacific Biosciences binary alignment/map (BAM) library
  The BAM format is a binary, compressed, record-oriented container format
  for raw or aligned sequence reads. The associated SAM format is a text
@@ -65,13 +64,12 @@
 
 Package: libpbbam-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libpbbam1.6.0 (= ${binary:Version}),
+Depends: libpbbam2.0.0 (= ${binary:Version}),
          libhts-dev,
          libssl-dev,
          ${misc:Depends}
-Breaks: libpbbam (<< 0.18)
-Replaces: libpbbam (<< 0.18)
 Description: Pacific Biosciences binary alignment/map (BAM) library (headers)
  The BAM format is a binary, compressed, record-oriented container format
  for raw or aligned sequence reads. The associated SAM format is a text
