=== debian/changelog ===
pbbam (2.1.0+dfsg-2) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Thu, 06 Oct 2022 11:27:28 +0200

pbbam (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Drop unnecessary dependency on build-essential.
  * Bump SONAME to 2.1.0

 -- Andreas Tille <tille@debian.org>  Fri, 29 Jul 2022 11:36:48 +0200
