=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                meson,
                pkg-config,
                cmake,
-# swig3.0,
                libboost-dev,
                zlib1g-dev,
                libssl-dev,
@@ -18,7 +17,7 @@
                python3-cram,
                libgtest-dev <!nocheck>,
                samtools <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/pbbam
 Vcs-Git: https://salsa.debian.org/med-team/pbbam.git
 Homepage: https://pbbam.readthedocs.org/en/latest/index.html
@@ -28,7 +27,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpbbam2.0.0 (= ${binary:Version})
+         libpbbam2.1.0 (= ${binary:Version})
 Recommends: samtools
 Description: processing Pacific Biosciences binary alignment/map files
  The BAM format is a binary, compressed, record-oriented container format
@@ -43,7 +42,7 @@
  This package provides command-line utilities for working with PacBio BAM
  files.
 
-Package: libpbbam2.0.0
+Package: libpbbam2.1.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -66,7 +65,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpbbam2.0.0 (= ${binary:Version}),
+Depends: libpbbam2.1.0 (= ${binary:Version}),
          libhts-dev,
          libssl-dev,
          ${misc:Depends}
