## pbbam 2.3.0+dfsg

=== debian/changelog ===
pbbam (2.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * refreshed patches
  * d/control: use ${devlibs:Depends} on the -dev package
  * d/patches/spelling: fix a typo
  * d/control: build-dep on the newer pbcopper (2.2.0)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 13 Aug 2023 14:08:17 +0200
