=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                zlib1g-dev,
                libssl-dev,
                libhts-dev,
-               libpbcopper-dev (>= 1.8.0),
+               libpbcopper-dev (>> 2.2.0),
                python3-cram,
                libgtest-dev <!nocheck>,
                samtools <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/pbbam
 Vcs-Git: https://salsa.debian.org/med-team/pbbam.git
 Homepage: https://pbbam.readthedocs.org/en/latest/index.html
@@ -27,7 +27,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpbbam2.1.0 (= ${binary:Version})
+         libpbbam2.3.0 (= ${binary:Version})
 Recommends: samtools
 Description: processing Pacific Biosciences binary alignment/map files
  The BAM format is a binary, compressed, record-oriented container format
@@ -42,7 +42,7 @@
  This package provides command-line utilities for working with PacBio BAM
  files.
 
-Package: libpbbam2.1.0
+Package: libpbbam2.3.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -65,8 +65,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpbbam2.1.0 (= ${binary:Version}),
-         libhts-dev,
+Depends: libpbbam2.3.0 (= ${binary:Version}),
+         ${devlibs:Depends},
          libssl-dev,
          ${misc:Depends}
 Description: Pacific Biosciences binary alignment/map (BAM) library (headers)
